package kdo.domain;

import java.util.Map;

/**
 * Instances allow to calculate a utility in a Domain
 * @author kdorer
 */
public interface IUtilityCalculator {
	/**
	 * Called to measure a single utility of an agent.
	 * @param repeatCount a counter indicating how many times this measurement is repeated now
	 * @return the utility measured
	 */
	double singleRunUtility(int repeatCount);

	/**
	 * @return a map of additional properties of the run
	 */
	Map<String, Double> getProperties();

	/**
	 * Prints the parameters that were used to calculate the utility
	 */
	void printParams();
}
