/*
 * Copyright (c) 2008 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.domain.approximation;

import kdo.domain.IIndividuumView;
import kdo.domain.IProblem;
import kdo.domain.IProblemFactory;
import kdo.domain.approximation.model.FunctionProblem;
import kdo.domain.approximation.view.FunctionProblemView;
import kdo.util.IRandomSource;

/**
 * Factory that knows the problem and its views.
 * @author dorer
 */
public class ApproximationFactory implements IProblemFactory
{
	public String getProblemName()
	{
		return "FunctionProblem";
	}

	public IProblem getProblem(IRandomSource randomSource)
	{
		return FunctionProblem.getInstance(randomSource);
	}

	public IIndividuumView getIndividuumView()
	{
		return new FunctionProblemView();
	}
}
