/*
 * Copyright (c) 2008 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.domain.approximation.model;

import kdo.domain.IProblem;
import kdo.domain.model.Individuum;

/**
 * Demo application for genetic framework. Approximates the function called from
 * calculate fitness.
 * @author dorer
 */
public class FunctionIndividuum extends Individuum
{
	/**
	 * Constructor to create a new individuum using the chromosom passed
	 * @param chromosom the gene information to use for the individuum
	 */
	public FunctionIndividuum(IProblem problem, float[] chromosom)
	{
		super(problem, chromosom);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see kdo.domain.model.ProblemState#calculateUtility()
	 */
	@Override
	protected float calculateUtility()
	{
		// minus since big values mean bad utility
		utility = -((FunctionProblem) problem).calculateUtility(state);
		return utility;
	}

	public double getValue(int offset)
	{
		return ((FunctionProblem) problem).getValue(offset);
	}

	public void setFunction(String function)
	{
		((FunctionProblem) problem).setFunction(function);
	}
}
