/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebn;

/**
 * Interface defining tags used in XML network definition
 */
public interface IXMLConstants {
	/** tag describing rule action */
	String ACTION = "action";

	/**
	 * value used in network configuration to set automatic inbox processing in
	 * every EBN execution loop
	 */
	String AUTO_INBOX_PROCESSING_TAG = "auto";

	/** tag describing available resource */
	String AVAILABLE_RESOURCE = "available-resource";

	/** tag defining parameter name */
	String BETA = "beta";

	/** tag keeping the configuration data for the engine */
	String CONFIGURATION = "configuration";

	/** attribute specifying method for control */
	String CONTROL_METHOD = "method";

	/** attribute specifying control name */
	String CONTROL_NAME = "name";

	/** tag defining parameter name */
	String DELTA = "delta";

	/** tag describing perception */
	String EBN_PERCEPTION = "ebn-perception";

	/** tag describing rule effect */
	String EFFECT = "effect";

	/** tag describing rule effect degree */
	String EFFECT_DEGREE = "degree";

	/** tag describing effect name */
	String EFFECT_NAME = "name";

	/** tag describing effect probability */
	String EFFECT_PROBABILITY = "probability";

	/** tag defining parameter name */
	String GAIN = "gain";

	/** tag defining parameter name */
	String GAMMA = "gamma";

	/** tag describing network goal */
	String GOAL = "goal";

	/** tag describing goal condition */
	String GOAL_CONDITION = "goal-condition";

	/** value used in network configuration to set gole-based inbox processing */
	String GOAL_INBOX_PROCESSING_TAG = "goal";

	/** tag describing goal importance */
	String IMPORTANCE = "importance";

	/** tag defining parameter name */
	String INBOX_PROCESSING = "inbox-processing";

	/** tag specifying interval between logic execution steps */
	String INTERVAL = "interval";

	/** attribute specifying that proposition is negated */
	String NEGATED = "negated";

	/** tag describing network parameters */
	String PARAMETERS = "parameters";

	/** tag describing rule precondition */
	String PRECONDITION = "precondition";

	/** tag describing goal relevance */
	String RELEVANCE = "relevance-condition";

	/** tag describing rule resource */
	String RESOURCE = "resource";

	/** tag describing available resource amount */
	String RESOURCE_AMOUNT = "amount";

	/** tag describing available resource name */
	String RESOURCE_NAME = "name";

	/** tag describing network rule */
	String RULE = "rule";

	/** tag defining parameter name */
	String SIGMA = "sigma";

	/** tag defining parameter name */
	String THETA = "theta";

	/** tag defining parameter name */
	String THETA_REDUCTION = "theta-reduction";
}
