/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebn;

/**
 * Represents a link from a resource module to a competence module
 */
public class ResourceLink extends Connection
{
	/** the source resource node */
	private final Resource sourceNode;

	/**
	 * Calls parent constructor
	 * @param params the network parameters that define the runtime dynamics of
	 *        the network
	 * @param source the source resource node of the resource
	 * @param destination the destination resource proposition of the competence
	 *        module
	 */
	public ResourceLink(NetworkParams params, Resource source, Proposition destination)
	{
		super(params, destination, destination);
		sourceNode = source;
	}

	@Override
	public NetworkNode getSourceModule()
	{
		return sourceNode;
	}

	@Override
	public Proposition getSourceProposition()
	{
		throw new RuntimeException("getSourceProposition should never be called for a ResourceLink");
	}
}
