/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.agent.util;

import java.util.HashMap;
import java.util.Map;

/**
 * Helper Class to generate unique names
 *
 * @author Thomas Rinklin
 *
 */
public class AgentNameHelper
{
	private final Map<String, Integer> nameCounts = new HashMap<String, Integer>();

	/**
	 * generates unique names by adding an increasing number to the end of a
	 * string.
	 * @param agentId the string to make unique
	 * @return a string containing the passed agentId plus an increasing number
	 *         in brackets
	 */
	public String getName(String agentId)
	{
		Integer count = nameCounts.get(agentId);
		if (count == null) {
			count = 1;
		} else {
			count++;
		}
		nameCounts.put(agentId, count);

		return agentId + "(" + count + ")";
	}
}
