/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.ebnAccess.impl.elements;

import kdo.ebnDevKit.ebnAccess.IEbnActivationFlow;
import kdo.ebnDevKit.ebnAccess.IEbnCompetence;

/**
 * represents an activation flow
 * @author Thomas Rinklin
 */
public abstract class EbnActivationFlow implements IEbnActivationFlow
{
	/** excitation or inhibition */
	protected final boolean isExcitation;

	/** target competence */
	private final IEbnCompetence targetCompetence;

	/**
	 * constructor for the activation flow
	 * @param isExcitation excitation (true) or inhibition (false)
	 * @param comp target competence
	 */
	public EbnActivationFlow(boolean isExcitation, IEbnCompetence comp)
	{
		this.isExcitation = isExcitation;
		this.targetCompetence = comp;
	}

	@Override
	public boolean isExcitation()
	{
		return isExcitation;
	}

	@Override
	public IEbnCompetence getTargetCompetence()
	{
		return targetCompetence;
	}
}
