/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.ebnAccess.impl.elements;

import kdo.ebnDevKit.ebnAccess.IEbnActivationFlow.IEbnCompetenceActivationFlow;
import kdo.ebnDevKit.ebnAccess.IEbnCompetence;

/**
 * represents activation flow from competence to competence
 * @author Thomas Rinklin
 */
public class EbnCompetenceActivationFlow extends EbnActivationFlow implements IEbnCompetenceActivationFlow
{
	/** link to the source competence */
	private final IEbnCompetence sourceCompetence;

	public EbnCompetenceActivationFlow(IEbnCompetence source, IEbnCompetence target, boolean isExciation)
	{
		super(isExciation, target);

		this.sourceCompetence = source;
	}

	@Override
	public IEbnCompetence getSourceCompetence()
	{
		return sourceCompetence;
	}
}
