/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.ebnAccess.impl.elements;

import kdo.ebn.IEBNPerception;
import kdo.ebn.PerceptionNode;
import kdo.ebnDevKit.ebnAccess.IEbnPerception;

/**
 * represents a perception
 * @author Thomas Rinklin
 */
public class EbnPerception implements IEbnPerception
{
	private final PerceptionNode perceptionNode;

	public EbnPerception(PerceptionNode perc)
	{
		perceptionNode = perc;
	}

	@Override
	public String getName()
	{
		return perceptionNode.getName();
	}

	@Override
	public double getActivation()
	{
		return perceptionNode.getActivation();
	}

	@Override
	public double getTruthValue()
	{
		return perceptionNode.getTruthValue();
	}

	/**
	 * @return perception link
	 */
	public PerceptionNode getPerception()
	{
		return perceptionNode;
	}

	@Override
	public EbnProposition createProposition(boolean bVal)
	{
		return new EbnProposition(this, bVal);
	}

	@Override
	public EbnEffect createEffect(boolean negated, double probability)
	{
		return new EbnEffect(this, negated, probability);
	}

	@Override
	public boolean isBelief(IEBNPerception iBelief)
	{
		return perceptionNode.getBeliefLink() == iBelief;
	}
}
