/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.genericAgent;

import kdo.ebn.IEBNAction;

/**
 * Generic Behavior behavior which just returns a name
 * @author Thomas Rinklin
 */
public class GenericBehavior implements IEBNAction
{
	private final String name;

	protected int performs;

	/**
	 * constructor
	 * @param name name of the behavior
	 */
	public GenericBehavior(String name)
	{
		this.name = name;
		this.performs = 0;
	}

	@Override
	public String getName()
	{
		return name;
	}

	@Override
	public boolean isFinished()
	{
		return true;
	}

	@Override
	public void perform()
	{
	}

	@Override
	public float getIntensity()
	{
		return 0;
	}

	@Override
	public void setIntensity(float intensity)
	{
	}
}
