/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.genericAgent;

import java.util.ArrayList;
import java.util.List;

import kdo.ebnDevKit.EbnDevKitStarter;

/**
 * Starts the EBNDevKit for generic agents. gets names of behaviors, beliefs and
 * resources from commandlins
 * @author Thomas Rinklin
 */
public class GenericStarter
{
	public static void main(String[] args)
	{
		List<String> behaviors = new ArrayList<String>();
		List<String> beliefs = new ArrayList<String>();
		List<String> resources = new ArrayList<String>();

		List<String> addingList = null;
		for (String string : args) {
			if (string.equals("-h")) {
				printHelp();
				return;
			} else if (string.equals("-a")) {
				addingList = behaviors;
			} else if (string.equals("-p")) {
				addingList = beliefs;
			} else if (string.equals("-r")) {
				addingList = resources;
			} else {
				if (addingList == null) {
					printHelp();
					return;
				}
				addingList.add(string);
			}
		}

		EbnDevKitStarter starter = new EbnDevKitStarter();
		starter.start(new GenericAgentCreator(behaviors, beliefs, resources));
	}

	private static void printHelp()
	{
		System.out.println("usage: -a behaviorA [behaviorB ...] -p beliefA [beliefB ...] -r resourceA [resourceB ...]");
	}
}
