/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.staubs.decision.beliefs;

import kdo.ebn.IEBNPerception;
import kdo.ebnDevKit.staubs.model.IStaubs;

/**
 * Parent class for all beliefs
 * @author Thomas Rinklin
 *
 */
public abstract class Belief implements IEBNPerception
{
	final IStaubs model;

	private final String name;

	/**
	 * Constructor
	 *
	 * @param name Belief name
	 * @param model Model
	 */
	Belief(String name, IStaubs model)
	{
		this.model = model;
		this.name = name;
	}

	@Override
	public String getName()
	{
		return name;
	}
}
