package kdo.search.strategy.local.cmaes.impl;

import org.apache.commons.math3.random.RandomGenerator;

import kdo.util.IRandomSource;

class RandomSourceAdapter implements IRandomSource, RandomGenerator
{
	private RandomGenerator randomSource;

	public RandomSourceAdapter(RandomGenerator adaptee)
	{
		randomSource = adaptee;
	}

	@Override
	public int nextInt(int n)
	{
		return randomSource.nextInt();
	}

	@Override
	public float nextFloat()
	{
		return randomSource.nextFloat();
	}

	@Override
	public double nextDouble()
	{
		return randomSource.nextDouble();
	}

	@Override
	public boolean nextBoolean()
	{
		return randomSource.nextBoolean();
	}

	@Override
	public double nextGaussian()
	{
		return randomSource.nextGaussian();
	}

	@Override
	public void setSeed(int seed)
	{
		randomSource.setSeed(seed);
	}

	@Override
	public void setSeed(int[] seed)
	{
		randomSource.setSeed(seed);
	}

	@Override
	public void setSeed(long seed)
	{
		randomSource.setSeed(seed);
	}

	@Override
	public void nextBytes(byte[] bytes)
	{
		randomSource.nextBytes(bytes);
	}

	@Override
	public int nextInt()
	{
		return randomSource.nextInt();
	}

	@Override
	public long nextLong()
	{
		return randomSource.nextLong();
	}
}