package kdo.search.strategy.local.genetic;

import kdo.domain.IProblemState;
import kdo.search.strategy.ILocalSearchStrategy;

public interface ISearch extends ILocalSearchStrategy {
	/**
	 * Starts or continues the optimisation.
	 */
	public IProblemState start();

	/**
	 * Breeds a single generation.
	 */
	public IProblemState step();

	/**
	 * Call to interrupt the search for better solutions. Kept for downward
	 * compatibility.
	 */
	public void pause();

	/**
	 * Call to interrupt the search for better solutions. Kept for downward
	 * compatibility.
	 */
	public void stop();

	/**
	 * Restart the optimization with a new population.
	 */
	public void rewind();

	/**
	 * Call to interrupt the search for better solutions. Kept for downward
	 * compatibility.
	 */
	public void interrupt();

	/**
	 * Called to indicate a state/utility change
	 */
	public void update(IOptimizationStateGroup population);

	/**
	 * @return the number of generations the population has been breeded
	 */
	public int getCurrentIteration();

	/**
	 * @return the population
	 */
	public IOptimizationStateGroup getPopulation();
}
