/* Copyright 2008 - 2017 Hochschule Offenburg
 * For a list of authors see README.md
 * This software of HSOAutonomy is released under MIT License (see LICENSE).
 */

package kdo.search.strategy.local.genetic.fitness;

import java.util.List;

import kdo.domain.IOptimizationState;

/**
 * @author kdorer
 *
 */
public class SerialFitnessCalculator implements IFitnessCalculator
{
	@Override
	public void calculateFitness(List<List<IOptimizationState>> genderStates)
	{
		for (List<IOptimizationState> net : genderStates) {
			for (IOptimizationState currentState : net) {
				float fitness = currentState.getUtility();
				currentState.setUtility(fitness);
			}
		}
	}
}
